# Edit in soft/theme CVS module
%define name tinyme-theme
%define theme TinyMe
%define version 1.2.0
%define scriptdir %{_datadir}/bootsplash/scripts/
%define mdk_bg %{_datadir}/mdk/backgrounds/

%define release %mkrel 2

Summary: The default TinyMe theme for bootsplash and desktop background
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
License: GPL
Group: System/Configuration/Theme
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Prereq: bootsplash >= 3.1.10
BuildArchitectures: noarch
Provides: mandriva-theme mandrake_theme mandrake-theme mandrakelinux-theme pclinuxos-theme tinyme-theme
Obsoletes: mandrake_theme mandrake-theme mandrakelinux-theme mandriva-theme pclinuxos-theme
BuildRequires: lilo gimp


%description

This package contains the default bootsplash theme with its images and
configuration for different resolution as well as the lilo image and
the desktop background image.

%prep
%setup -q

%build

make THEMES=TinyMe

%install
rm -rf $RPM_BUILD_ROOT

make install prefix=$RPM_BUILD_ROOT

%post
if [ -z "$DURING_INSTALL" ]; then
  if [ -x %scriptdir/switch-themes ]; then 
    %scriptdir/switch-themes TinyMe
  fi
else
  if [ -f %_sysconfdir/sysconfig/bootsplash ]; then
    perl -pi -e 's/^\s*SPLASH=.*/SPLASH=auto/; s/^\s*THEME=.*/THEME=TinyMe/' %_sysconfdir/sysconfig/bootsplash
  fi
  ln -s PCLinuxOS %_sysconfdir/bootsplash/themes/current
fi
if [ ! -f %mdk_bg/default.jpg -o -L %mdk_bg/default.jpg ]; then 
  rm -f %mdk_bg/default.jpg
  ln -s TinyMe-1600x1200.jpg %mdk_bg/default.jpg 
fi
if [ ! -f %mdk_bg/TinyMe.jpg -o -L %mdk_bg/TinyMe.jpg ]; then 
  rm -f %mdk_bg/TinyMe.jpg
  ln -s TinyMe-1600x1200.jpg %mdk_bg/TinyMe.jpg 
fi
if [ -f %mdk_bg/TinyMe-root.jpg -a ! -f %mdk_bg/root/default.jpg -o -L %mdk_bg/root/default.jpg ]; then 
  rm -f %mdk_bg/root/default.jpg
  ln -s TinyMe-root-1600x1200.jpg %mdk_bg/root/default.jpg 
fi
for f in kdeglobals konsolerc; do
  if [ ! -f %_datadir/config/$f ]; then
    ln -sf $f-TinyMe %_datadir/config/$f
  fi
done

%preun
if [ "$1" == "0" ]; then
if [ -x %scriptdir/remove-theme ]; then 
  %scriptdir/remove-theme TinyMe
fi 
  link=`readlink %mdk_bg/default.jpg`
  slink=${link:0:12}
  if [ "$slink" == "TinyMe" ]; then rm -f %mdk_bg/default.jpg;fi
  link=`readlink %mdk_bg/TinyMe.jpg`
  slink=${link:0:12}
  if [ "$slink" == "TinyMe" ]; then rm -f %mdk_bg/TinyMe.jpg;fi
  link=`readlink %mdk_bg/root/TinyMe.jpg`
  slink=${link:0:17}
  if [ "$slink" == "TinyMe-root" ]; then rm -f %mdk_bg/root/default.jpg;fi
  link=`readlink %_sysconfdir/bootsplash/themes/current`
  if [ "$link" == "TinyMe" ]; then rm -f %_sysconfdir/bootsplash/themes/current;fi
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%_datadir/config/kdeglobals-TinyMe
%_datadir/config/konsolerc-TinyMe
%_datadir/bootsplash/themes/TinyMe
%_sysconfdir/bootsplash/themes/TinyMe/*
%mdk_bg/TinyMe*

#%files screensaver
#%dir %_datadir/mdk/screensaver
#%_datadir/mdk/screensaver/*.png

%changelog
* Sat Jul 14 2007 Gettinther <gettinther@gmail.com> 1.2.0-2pclos_tinyme2007
- Change png to jpg to reduce overall size

* Sat Jun 30 2007 Gettinther <gettinther@gmail.com> 1.2.0-1pclos_tinyme2007
- initial build for Tinyme 2007
